# SPDX-License-Identifier: CC0-1.0

{ testEnv, pkgs, ... }:
with pkgs;

testEnv.mkTest {
  name = "pci";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = ./pci.dhall;
  testInputs = map pkgs.genodeSources.make [
    "drivers/acpi"
    "drivers/platform"
    "server/report_rom"
    "test/pci"
  ];
  testScript = ''
    run_genode_until ".*--- Platform test finished ---.*\n" 60
  '';
}
